Timekit developers

GET /bookings/groups

Return all available (tentative) group bookings

When you want to publicly list all available group bookings for customers to sign up for, you should use this endpoint. It only includes information about the owner event itself, and doesn't include sensitive information about customers etc.

This endpoint it also the one we use in Booking.js to list available group bookings.

Endpoint

GET https://api.timekit.io/v2/bookings/groups

Parameters

Name In Type Required Default Description
limit query int 1000 Pagination limit intervals (X means first X is returned)
page query int 1 Which pagination interval to retrieve (set limit for interval size)
search query string Add 1 of more search criteria to your query. Learn more.
include query string Available includes: attributes, available_actions

Request examples

curl
curl -X GET \
     -H 'Timekit-App: back-to-the-future' \
     -u doc.brown@timekit.io:nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW \
     https://api.timekit.io/v2/bookings/groups

Response examples

200

json
{
  "data": [
    {
      "id": "0dad9c8f-2801-4b6f-b898-7c69063bed0d",
      "state": "tentative",
      "graph": "group_owner",
      "completed": false,
      "created_at": "2016-02-11T12:39:45+0100",
      "updated_at": "2016-02-11T13:12:01+0100",
      "attributes": {
        "group_booking": {
          "max_seats": 20,
          "current_seats": 0
        },
        "event_info": {
          "start": "2016-09-30T08:00:00+00:00",
          "end": "2016-09-30T09:00:00+00:00",
          "what": "Doc Brown's 1st lecture on flux capacitance",
          "where": "Hill Valley High School, CA 95420, USA",
          "calendar_id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
          "description": "Please arrive 10 minutes before the lecture begins"
        }
      }
    },
    {
      "id": "a1ebdd9d-db42-4cd3-a915-0202a034284a",
      "state": "tentative",
      "graph": "group_owner",
      "completed": false,
      "created_at": "2016-02-11T12:39:45+0100",
      "updated_at": "2016-02-11T13:12:01+0100",
      "attributes": {
        "group_booking": {
          "max_seats": 20,
          "current_seats": 0
        },
        "event_info": {
          "start": "2016-10-06T08:00:00+00:00",
          "end": "2016-10-06T09:00:00+00:00",
          "what": "Doc Brown's 2nd lecture on flux capacitance",
          "where": "Hill Valley High School, CA 95420, USA",
          "calendar_id": "c91c5d04-2a57-46c0-ab35-e489dadf132e",
          "description": "Please arrive 10 minutes before the lecture begins"
        }
      }
    }
  ]
}